summaryrefslogtreecommitdiffstats
path: root/cabextract
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2013-11-05 11:00:57 +0000
committer Eric Hameleers <alien@slackware.com>2013-11-05 11:00:57 +0000
commit5e952c24b1f6c5e75fba3eea1d0eca987e6a237f (patch)
tree58f2d29285fd6210c132cf0f8da60dbe2e04e1ed /cabextract
parentfed5e3de8ea3533bbc9456553cb2fb60c065e202 (diff)
downloadasb-5e952c24b1f6c5e75fba3eea1d0eca987e6a237f.tar.gz
asb-5e952c24b1f6c5e75fba3eea1d0eca987e6a237f.tar.xz
Update to 1.4
Diffstat (limited to 'cabextract')
-rwxr-xr-xcabextract/build/cabextract.SlackBuild34
1 files changed, 23 insertions, 11 deletions
diff --git a/cabextract/build/cabextract.SlackBuild b/cabextract/build/cabextract.SlackBuild
index 7495b8c8..917e9348 100755
--- a/cabextract/build/cabextract.SlackBuild
+++ b/cabextract/build/cabextract.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
# $Id$
-# Copyright (c) 2007-2010 Eric Hameleers, Eindhoven, NL
+# Copyright 2007-2013 Eric Hameleers, Eindhoven, NL
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -38,6 +38,8 @@
# * Updated the SlackBuild a bit for x86_64 compatibility
# 1.2-3: 02/jun/2010 by Eric Hameleers <alien@slackware.com>
# * Rebuilt for Slackware 13.1.
+# 1.4-1: 05/nov/2013 by Eric Hameleers <alien@slackware.com>
+# * Update.
#
# Run 'sh cabextract.SlackBuild --cleanup' to build a Slackware package.
# The package (.tgz) plus descriptive .txt file are created in /tmp .
@@ -48,8 +50,8 @@
# Set initial variables:
PRGNAM=cabextract
-VERSION=${VERSION:-1.2}
-BUILD=${BUILD:-3}
+VERSION=${VERSION:-1.4}
+BUILD=${BUILD:-1}
TAG=${TAG:-alien}
DOCS="AUTHORS COPYING ChangeLog NEWS README TODO \
@@ -71,12 +73,15 @@ SRCURL="http://www.cabextract.org.uk/${PRGNAM}-${VERSION}.tar.gz"
##
# Automatically determine the architecture we're building on:
+MARCH=$( uname -m )
if [ -z "$ARCH" ]; then
- case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
- arm*) export ARCH=arm ;;
+ case "$MARCH" in
+ i?86) export ARCH=i486 ;;
+ armv7hl) export ARCH=$MARCH ;;
+ armv6hl) export ARCH=$MARCH ;;
+ arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
- *) export ARCH=$( uname -m ) ;;
+ *) export ARCH=$MARCH ;;
esac
fi
@@ -87,6 +92,12 @@ case "$ARCH" in
x86_64) SLKCFLAGS="-O2 -fPIC"
SLKLDFLAGS="-L/usr/lib64"; LIBDIRSUFFIX="64"
;;
+ armv7hl) SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+ ;;
+ armv6hl) SLKCFLAGS="-O2 -march=armv6 -mfpu=vfp -mfloat-abi=hard"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+ ;;
*) SLKCFLAGS="-O2"
SLKLDFLAGS=""; LIBDIRSUFFIX=""
;;
@@ -114,12 +125,13 @@ rm -rf $OUTPUT/{configure,make,install,error,makepkg}-$PRGNAM.log
# Source file availability:
if ! [ -f ${SOURCE} ]; then
+ echo "Source '$(basename ${SOURCE})' not available yet..."
+ # Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
+ [ -w "$SRCDIR" ] || SOURCE="$OUTPUT/$(basename $SOURCE)"
+ if [ -f ${SOURCE} ]; then echo "Ah, found it!"; continue; fi
if ! [ "x${SRCURL}" == "x" ]; then
- # Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
- [ -w "$SRCDIR" ] || SOURCE="$OUTPUT/$(basename $SOURCE)"
- echo "Source '$(basename ${SOURCE})' not available yet..."
echo "Will download file to $(dirname $SOURCE)"
- wget -nv -T 30 -O "${SOURCE}" "${SRCURL}" || true
+ wget -nv -T 20 -O "${SOURCE}" "${SRCURL}" || true
if [ $? -ne 0 -o ! -s "${SOURCE}" ]; then
echo "Downloading '$(basename ${SOURCE})' failed... aborting the build."
mv -f "${SOURCE}" "${SOURCE}".FAIL